Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007771 [DCSS] Bug Report minor always 2013-11-22 02:39 2015-04-11 07:27
Reporter gammafunk View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007771: Monsters with vault-defined spell sets display incorrect spell listings in examination screen
Description A monster seen in ossuary_zaba_flooded:

bog body hd:3 spells:throw_frost;slow;corpse_rot name:decayed n_adj n_noc

Shows up as having bolt of cold under "x v" despite having throw frost.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0007779closedMarvinPA monster spell list in description 
has duplicate 0007517closedneil Sprint-only spellcasting monsters' spellset display. 

-  Notes
(0024452)
neil (administrator)
2013-11-22 07:18

Marked 0007517 as a duplicate. Even though that report is older, this one has a better and more general title.

A comment I made there on 2013-09-06:

Kilobyte has suggested, for monsters that don't have variant spell lists in C++, to display the actual spell list. This would work for everything except vault wizards/ogre magi/etc with redefined spell lists; if necessary, we could add a flag indicating that the monster's spell list can from a monspec and not from its monster type, handling those as well.

To implement this, we would have to first add spell information to the monster_info so we could get it from there. What's not clear (and requires more discussion) is in exactly which cases this information should be present (only monsters with redefined spells; only monsters with fixed-by-default spell lists; all monsters) and what API to use for it (both C++ and Lua).

- Issue History
Date Modified Username Field Change
2013-11-22 02:39 gammafunk New Issue
2013-11-22 07:16 neil Relationship added has duplicate 0007517
2013-11-22 07:18 neil Note Added: 0024452
2013-12-06 11:33 MarvinPA Relationship added related to 0007779
2014-01-03 22:33 MarvinPA Status new => resolved
2014-01-03 22:33 MarvinPA Fixed in Branch => 0.14 development branch
2014-01-03 22:33 MarvinPA Resolution open => done
2014-01-03 22:33 MarvinPA Assigned To => MarvinPA
2015-04-11 07:27 gammafunk Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker